@echo off
echo.
echo This is the update batch for DCC Sniffer
if %1.==. goto err

echo.
echo Please Remove OpenDCC Sniffer and press the button _during_ reconnect
echo 
echo OpenDCC Sniffer will enter bootloader.
echo (Now the LEDs ON (green) and PRG (or) should be on, LOC will flash during update)
echo (Bootloader will run with 19200 Baud)
echo.
pause

mode %1 BAUD=19200 PARITY=n DATA=8 STOP=1

avrosp -dATmega162 -e -pf -vf -ifDCCsniffer.hex -c%1

echo Flash done, now EEPROM ..
pause

avrosp -dATmega162 -pe -ve -ieDCCsniffer.eep -c%1

echo Update done, now exit bootloader ..
pause
echo E > %1
echo.

goto exit

:err
echo error: missing value for com port
echo usage: %0 "[COM1|COM2|COM3|...|COM8]"
echo note: COM must be entered in upper case.
echo program file: DCCsniffer.hex and DCCsniffer.eep
echo.
:exit
